package llc.arma.ble.app.ui.screen.rotation.delete

import llc.arma.ble.app.ui.common.ViewEvent
import llc.arma.ble.app.ui.common.ViewSideEffect
import llc.arma.ble.app.ui.common.ViewState

class RotationDeleteContract {

    sealed class Event : ViewEvent {

        object OnNavigateUp : Event()

        object OnDelete : Event()

    }

    object State : ViewState

    sealed class Effect : ViewSideEffect {

        sealed class Navigation : Effect(){

            object NavigateUp : Navigation()

        }

    }

}